<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jna.fbclient (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jna.fbclient (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/logging/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.jna.fbclient</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a></td>
<td class="colLast">
<div class="block">JNA Wrapper for library implementing <b>ibase.h</b>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.FbShutdownCallback</a></td>
<td class="colLast">
<div class="block">FbShutdown callback.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a></td>
<td class="colLast">
<div class="block">IscEvent callback.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary</a></td>
<td class="colLast">
<div class="block">JNA library interface specifically for the Windows platform.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.FbShutdownStdCallback</a></td>
<td class="colLast">
<div class="block">FbShutdown Callback following the StdCall conventions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.IscEventStdCallback</a></td>
<td class="colLast">
<div class="block">IscEvent Callback following the StdCall conventions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t</a></td>
<td class="colLast">
<div class="block">JNA wrapper for GDS_QUAD_t.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByReference.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByValue.html" title="class in org.firebirdsql.jna.fbclient">GDS_QUAD_t.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></td>
<td class="colLast">
<div class="block">JNA wrapper for ISC_ARRAY_BOUND.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC</a></td>
<td class="colLast">
<div class="block">JNA wrapper for ISC_ARRAY_DESC.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_DESC.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC</a></td>
<td class="colLast">
<div class="block">JNA wrapper for ISC_BLOB_DESC.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_BLOB_DESC.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a></td>
<td class="colLast">
<div class="block">JNA wrapper for ISC_STATUS.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP</a></td>
<td class="colLast">
<div class="block">JNA wrapper for ISC_TIMESTAMP.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_TIMESTAMP.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA</a></td>
<td class="colLast">
<div class="block">JNA wrapper for USER_SEC_DATA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByReference.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByValue.html" title="class in org.firebirdsql.jna.fbclient">USER_SEC_DATA.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a></td>
<td class="colLast">
<div class="block">JNA Wrapper for XSQLDA.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR</a></td>
<td class="colLast">
<div class="block">JNA wrapper for XSQLVAR.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByReference</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByValue</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/logging/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
